<?php

declare(strict_types=1);

namespace External\HannahBundle\SAP\Synchronizer;

interface SynchronizerInterface
{
    public static function getType(): string;

    public function process(array $data): void;

    public function processToSAP(): void;

    public function setAllowFullSync(bool $allowFullSync): void;
}
